Returns only the usage block of the authenticated account, without personal information or balance. No request body or parameters. Authentication via X-API-Key is required.
GET
/account/usage
Request body
The following parameters can be included in the request body:
Parameters
Successful response
The following fields are returned in a successful response:
Response fields
usage
object
Required
Aggregated usage block.
Examples
Code examples for using this endpoint:
curl
curl -sS https://api-endpoints.alphaedge-ai.com/account/usage \
-H "X-API-Key: sk_ai_VOTRE_CLE"
python
import httpx
r = httpx.get(
"https://api-endpoints.alphaedge-ai.com/account/usage",
headers={"X-API-Key": "sk_ai_VOTRE_CLE"},
)
print(r.json())
typescript
const res = await fetch("https://api-endpoints.alphaedge-ai.com/account/usage", {
headers: { "X-API-Key": "sk_ai_VOTRE_CLE" },
});
console.log(await res.json());
Response
Sample API response:
json
{
"usage": { "total_requests": 0 }
}